class Address {
  String id;
  String label;
  String address;
  String locationDetail;
  String lat;
  String long;
  String recepientName;
  String recepientPhone;
  String notes;

  Address({
    required this.id,
    required this.label,
    required this.address,
    required this.locationDetail,
    required this.lat,
    required this.long,
    required this.recepientName,
    required this.recepientPhone,
    required this.notes,
  });

  factory Address.json(Map<String, dynamic> json) {
    return Address(
      id: json['id'],
      label: json['label'],
      address: json['address'],
      locationDetail: json['location_detail'],
      lat: json['lat'],
      long: json['long'],
      recepientName: json['recipient_name'].toString(),
      recepientPhone: json['recipient_phone'].toString(),
      notes: json['notes'],
    );
  }
}
